# .bash_profile 
echo "BASHRC"

if [ -f /system/etc/bashrc ]; then source /system/etc/bashrc
  else echo "/system/etc/bashrc fehlt - Systemgruppe fragen" ; fi

export EDITOR=joe       # Dein Lieblingseditor hier!
export VISUAL="$EDITOR" # wie oben...
umask 077   # neue Dateien standardmaessig ohne Rechte fuer Fremde anlegen
ulimit -c 0 # bei Programmabsturz keine "core" Dateien erzeugen 
export  ALLEGRO_CL_HOME=/coli/apps/acl-4.3/home # von LISP verwendet
export PATH=$PATH:$HOME:/usr/sbin:/sbin:/coli/apps/sicstus/bin # wo nach Programmen gesucht werden soll
export MM_CHARSET=iso-8859-1            # Umlaute in Mailprogrammen erlauben

alias ls="ls --color=tty" # Farbe bei Verzeichnislistings verwenden
alias l="ls -l -S -r -a"  # alle Dateien lang und nach Groesse sortiert listen
alias rm="rm -i"  # Loeschen ist interaktiv
alias cp="cp -i"  # Kopieren warnt beim Ueberschreiben
alias mv="mv -i"  # Verschieben warnt beim Ueberschreiben
alias du="du -ch" # Anzeige des Platzverbrauches
mesg y            # talk und write zulassen

if [ -r $HOME/xboingscore ]
  then export XBOING_SCORE_FILE=$HOME/xboingscore ; fi # Breakout-Spiel
if [ -r /home/CE/$USER/xanim-modules ]
  then export XANIM_MOD_DIR=$HOME/xanim-modules ; fi #  Zusatzmodule von xanim

if [ "$HOSTNAME" = "head.coli.uni-sb.de" ]; then 
  # -- HEAD SECTION --
  biff y
  echo "Bin auf Head, setze Drucker" ; export PRINTER=futura
    # fuer Druck im ColiCIP: export PRINTER=futura (nur auf Head sinnvoll)
  echo -e \\033]\;Head-Terminal von $USER\\007
  if expr "$TERM" : .*linux >/dev/null ; then export TERM=vt100 ; fi
    # Denn: "linux" wird als Terminaltyp oft nicht akzeptiert
  # -- SPECIAL ERIC SECTION --
  if [ -x frage ]; then
    #  Abfrage, ob frage schon an:
    FRAGETEST=`ps auxw | grep $USER | tee grepinfo | grep [f]rage`
    echo "Programme die fuer Dich laufen:" ; echo ; cat grepinfo ; echo
    rm -f grepinfo
    if expr "$FRAGETEST" : .*frage >/dev/null
      then echo "Anwesende-Aktualisierer frage laeuft schon" ; echo ; 
      else echo "Anwesende-Aktualisierer frage starten:"; echo ; frage >/dev/null & 
    fi
    unset FRAGETEST
  fi
  # -- End Special Eric Section --
else
  # -- LINUX SECTION --
  echo "Bin lokal, Display ist: $DISPLAY"; echo $DISPLAY >.display
  echo "Setze Proxy... ";  export http_proxy='http://134.96.105.10:8080/'
  echo -e \\033]\;$USER auf $HOSTNAME \(Linux\)\\007
fi

# -- LOGIN INFO SECTION --
if [ -n $LOGINSHELL ]; then 
  # Variable LOGINSHELL bei mir in .bash_login gesetzt
  if [ -r $MAILPATH ] # Achtung, theoretisch kann das mehrere Dateien nennen!
    then ### (sleep 10 ; echo ; echo "Neue Mail:" ; mail -H | grep ^.[A-Z] ; echo ) &
         # Verzoegert im Hintergrund starten - kann naemlich dauern...
    echo "Aktuell in Deiner Mailbox:" ; ls -l $MAILPATH # normal /var/mail/$USER
    cat $MAILPATH | egrep "^[F,f.S,r][r,u][o,b][m,j]" | tail -6 ; echo
  fi
  if [ -r NewMail ]; then echo "Letzte Mail ist in NewMail" ; echo ; fi 
  if [ -r WEBLOG ]; then echo "Zuletzt auf der Homepage:" ; tail -n 3 WEBLOG ; fi
  if [ -r CHAT ]; then echo "Aktuell im Chatraum:" ; tail -n 3 CHAT ; echo ; fi
fi

# -- IMMER anzeigen, auch wenn kein Login-Fenster --
if [ -x /usr/games/fortune ]; then /usr/games/fortune ; echo ; fi # Spruch zeigen
if [ -r $HOME/quota-mail ]; then cat $HOME/quota-mail ; fi # Quota-Infos
# Tests: [] ==>  -n nonzero -x executable -f normal file -r readable -a and
